package com.xinelu.manage.domain.batchsendtaskvariableinfo;

import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 批量推送任务记录变量属性对象 batch_send_task_variable_info
 *
 * @author zh
 * @date 2026-04-26
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "批量推送任务记录变量属性对象", description = "batch_send_task_variable_info")
public class BatchSendTaskVariableInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 导入数据id
     */
    private Long id;

    /**
     * 变量
     */
    @ApiModelProperty(value = "变量")
    private String variable;

    /**
     * 变量属性
     */
    @ApiModelProperty(value = "变量属性")
    private String variableAttribute;

    /**
     * 批量推送任务记录表id
     */
    @ApiModelProperty(value = "批量推送任务记录表id")
    private Long batchSendTaskRecordId;

    /**
     * 批量推送任务表id
     */
    @ApiModelProperty(value = "批量推送任务表id")
    private Long batchSendTaskId;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("variable", getVariable())
                .append("variableAttribute", getVariableAttribute())
                .append("batchSendTaskRecordId", getBatchSendTaskRecordId())
                .append("batchSendTaskId", getBatchSendTaskId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .toString();
    }
}
